Subject: Re: [PATCH/RFC] Re: linux-next: build failure after merge of the luto-misc tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 18 Jul 2016 20:41:32 -0300

Em Tue, Jul 19, 2016 at 08:22:35AM +1000, Stephen Rothwell escreveu:
> Hi Arnaldo,
> 
> On Mon, 18 Jul 2016 17:36:34 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:
> >
> > Em Mon, Jul 18, 2016 at 01:04:34PM -0700, Andy Lutomirski escreveu:
> > > On Sun, Jul 17, 2016 at 10:18 PM, Stephen Rothwell <[email-masked]> wrote:  
> > > > On Fri, 15 Jul 2016 12:43:26 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:  
> > 
> > > >> Ok, same results, it works, queuing this one, ack? Stephen, does it work
> > > >> for you?  
> > 
> > > > Sorry, no.  See my other email.
> > > >
> > > > I am cross building (if that makes a difference).  
> > 
> > For me to try to reproduce the problem, yes, what is the environment?
> > Cross-compiling to what target?
> 
> I am using a x86_64 compiler (target) on powerpc64le (host).
> Yesterday, the x86_64 allmodconfig build failed just after I merged the
> tip tree (i.e. without the luto-misc tree being involved).  At that
> point I have merged quite a few trees, though.  Also, I do not clean my
> object tree between builds.  The compiler is v5.2.0 built from upstream
> sources.

Ok, one of the possible reasons was for tools/{include,lib,perf,objtool}
code to be including code directly from the kernel, and that was still
the case for some headers, I fixed those and pushed to Ingo now, if he
pulls lets see if this fixes things.

- Arnaldo